godo.CDNs.FlushCache()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.CDNs.FlushCache(ctx context.Context, id string, flushCacheRequest *godo.CDNFlushCacheRequest) (*godo.Response, error)Description
FlushCache flushes the cache of an individual CDN. Requires a non-empty slice of file paths and/or wildcards
This method sends a DELETE request to /v2/cdn/endpoints/{}/cache.
Parameters
idstring requiredflushCacheRequest*godo.CDNFlushCacheRequest required
Fields of godo.CDNFlushCacheRequest
CDNFlushCacheRequest represents a request to flush cache of a CDN.
Files[]string
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See DELETE /v2/cdn/endpoints/{}/cache in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.